faked(1)

NOM
Faked - démon qui mémorise les permissions et propriétaires factices des fichiers manipulés par les processus sous fakeroot.

SYNOPSIS
faked [--debug] [--foreground] [--cleanup] [--key clé-msg] [--load] [--save-file fichier-de-sauvegarde] [--port port_TCP]

DESCRIPTION
Lorsqu'un processus sous fakeroot veut changer le propriétaire d'un fichier, c'est le processus faked qui mémorise ce nouveau propriétaire. Si plus tard ce même processus sous fakeroot lance un stat() pour ce nom de fichier, alors l'appel à stat(), intercepté par libfakeroot, interrogera tout d'abord faked pour connaître le propriétaire factice (etc.) de ce fichier, et l'affichera.

OPTIONS

--debug
    Affiche les informations de débogage sur la sortie d'erreur.

--foreground
    Ne pas se dupliquer (fork) en tâche de fond.

--cleanup  nombre
    Nettoyer les sémaphores.

--key  numéro-clé
    Ne pas assigner un nouveau canal de communication, mais utiliser plutôt le canal indiqué par la clé (le canal indiqué sera créé s'il n'existe pas).

--save-file  fichier-de-sauvegarde
    Enregistre l'environnement dans le fichier-de-sauvegarde en quittant.

--load
    Restaure un environnement préalablement enregistré à partir de l'entrée standard.

--unknown-is-real
    Utilise le véritable propriétaire des fichiers auparavant inconnus que de les attribuer à root:root.

--port  port-tcp
    Utilise le port TCP port-tcp.

BOGUES
Aucun jusqu'ici. Cependant, soyez prudent : bien que l'auteur de fakeroot a écrit des programmes parfois bien plus gros (et d'autres plus petits), il n'a jamais rien écrit d'aussi minuscule que fakeroot, contenant autant de bogues que fakeroot, mais qui reste tout utilisable que, par exemple, fakeroot version 0.0_3, la première version utilisable pour se construire lui-même.

COPIES
fakeroot est distribué sous la licence GNU General Public License. (GPL 2.0 ou supérieure).

AUTEURS

Joost Witteveen
    <joostje@debian.org>

Clint Adams
    <schizo@debian.org>

Timo Savola

TRADUCTION
Sylvain Cherrier <sylvain.cherrier@free.fr>.

PAGE DE MANUEL
En majeure partie écrite par J.H.M. Dassen <jdassen@debian.org>. La plupart des ajouts et des modifications par Joost et Clint.

VOIR AUSSI
fakeroot(1) dpkg-buildpackage(1), debuild(1) /usr/share/doc/fakeroot/DEBUG